Subject: [Sigtran] M2PA - couple of questions for RFC

From: Dario <[email-masked]>
Date: Thu, 21 Feb 2008 06:43:01 -0800 (PST)

Hi,

I have few questions for M2PA RFC, specifically:

1. (RFC4165, section 4.1.3)
"The proving period MAY be omitted if this is allowed by the applicable MTP2
standard
(e.g. Q.2140)"

also section 4.1.4. 
"When M2PA experiences a local processor outage, it MAY put the link 
out of service.... if this is allowed by applicable MTP2 standard (e.g.
Q.2140)"

I do not understand these statements:
M2PA link replaces MTP2 link. Should the M2PA link be MTP2 standard specific
"coloured",
for example "M2PA link replacing Q.2140" or "M2PA link replacing Q.703".
I understood there is only one M2PA link, so I am a bit confused with the
statements on
"applicable MTP2 stadards".

2. (RFC 4165, section 4.2.1, last paragraph)

"Because propagation delays in IP network are more variable than in
traditional SS7
networks, a single T7 timer as in MTp2 is inadequate. If any message is
unacknowledged
after a period equal to the T7 value, the T7 timer SHALL expire."

what is the meaning of this statement??
T7 may expire...should its value be extended, or what?

3. how should M2PA link react if it receives Link Status Processor Recovered
message 
when the link is in IN-SERVICE state?

thanks!
Kind regards, Dario
-- 
View this message in context: http://www.nabble.com/M2PA---couple-of-questions-for-RFC-tp15612860p15612860.html
Sent from the IETF - Sigtran mailing list archive at Nabble.com.

_______________________________________________
Sigtran mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 21 Feb 2008 10:07:23 -0700

Dario,

Please see comments inline below...

Dario wrote:                                         (Thu, 21 Feb 2008 06:43:01)
> "applicable MTP2 stadards".

Yes, M2PA is "colored" by the "applicable MTP2 standard";
however, Q.2140 is based on Q.703.

> T7 may expire...should its value be extended, or what?

Normally, in Q.703, T7 is reset when an acknowledgement is
received.  In M2PA there is the possibility that
acknowledgements could trickle back which does not occur in
TDM/SDH SS7.  So, if T7 is 1 second, and acknowledgements
trickle back for sent messages every .99 seconds, the timer will
not fire no matter how many acknowledgements are outstanding.

For M2PA, one approach to this is to, instead of resetting T7 to
1 second on an acknowledgement, reset T7 to 1 second minus the
age of the oldest unacknowledged sent message.

> when the link is in IN-SERVICE state?

Depends on how pedantic you want to be.  The possibilities are
(1) be forgiving and ignore the message; (2) be pedantic,
consider the link failed , and send LS OOS.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/